### Function

# GLib test_message

since: 2.16

#### Declaration

    void
    g_test_message (
      const char* format,
      ...
    )

#### Description

Add a message to the test report.

Available since: 2.16

This function is not directly available to language bindings.

#### Parameters

`format`

  Type: `const char*`

  The format string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Printf-like arguments to `format`.